App\Entity\User:
    type: entity
    table: users
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        nom:
            type: string
            length: 255
        prenom:
            type: string
            lenght: 255
        email:
            type: string
            length: 255
            unique: true
            nullable: true
        roles:
            type: string
            length: 255
            nullable: true
        password:
             type: string
             length: 255
             nullable: true
        adresse:
            type: string
            length: 255
            nullable: true
        date:
            type: datetime
    oneToMany:
        adhesions:
            targetEntity: Adhesion
            mappedBy: user
            orphanRemoval: true
            cascade: ["persist"]
